> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Broadcast Status

> Retrieves the status of a broadcast message by its ID

<Warning>
  **Deprecated.** Use [`POST /message/queues`](/api-reference/message/list-queue-jobs) with `broadcast_id` in the request body instead
</Warning>


## OpenAPI

````yaml GET /queue/broadcast
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
paths:
  /queue/broadcast:
    get:
      tags:
        - queue
      summary: Get Broadcast Status
      description: Retrieves the status of a broadcast message by its ID
      operationId: getBroadcastStatus
      parameters:
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          description: >-
            Please provide the number of the phone you want to call with this
            API in the header. The number must be in country code + number
            format without any characters or spaces, e.g. 919876543210;
            Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the
            header
        - name: broadcast_id
          in: query
          required: true
          description: The unique identifier of the broadcast
          schema:
            type: string
            example: 22b2a2a4-3c61-4b94-807c-fa431e71a8e5
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  broadcast_id:
                    type: string
                    description: Unique identifier for the broadcast message
                    example: 22b2a2a4-3c61-4b94-807c-fa431e71a8e5
                  org_id:
                    type: string
                    description: Organization identifier that owns the broadcast
                    example: 5fb0d69a-d789-4429-970e-66d48e381c9b
                  message_payload:
                    type: object
                    description: Container for the broadcast message content and metadata
                    properties:
                      body:
                        type: string
                        description: The actual content of the broadcast message
                        example: '#generalteam#'
                      message_type:
                        type: string
                        description: Type of message being broadcast
                        enum:
                          - chat
                        example: chat
                      performed_by:
                        type: string
                        description: Entity that initiated the broadcast
                        example: api
                  created_at:
                    type: string
                    format: date-time
                    description: Timestamp when the broadcast was created
                    example: '2025-03-10T11:11:20.049901+00:00'
                  total_chats:
                    type: integer
                    description: Total number of chat instances targeted by this broadcast
                    example: 2
                  sent_chats:
                    type: integer
                    description: >-
                      Number of chats where the broadcast has been successfully
                      sent
                    example: 0
                  failed_chats:
                    type: integer
                    description: Number of chats where the broadcast failed to send
                    example: 0
                  pending_chats:
                    type: integer
                    description: >-
                      Number of chats where the broadcast is queued but not yet
                      sent
                    example: 0
                  total_delivered_count:
                    type: integer
                    description: Total count of broadcast messages delivered to recipients
                    nullable: true
                  total_read_count:
                    type: integer
                    description: >-
                      Total count of broadcast messages that have been read by
                      recipients
                    nullable: true
                  performed_by:
                    type: string
                    description: >-
                      Identifier of the user or system that initiated the
                      broadcast
                    example: 5fb0d69a-d789-4429-970e-66d48e381c9b
                  performed_at:
                    type: string
                    format: date-time
                    description: Timestamp when the broadcast was executed
                    nullable: true
                  scheduled_at:
                    type: string
                    format: date-time
                    description: Timestamp when the broadcast is scheduled to be sent
                    example: '2025-03-10T12:11:19.52+00:00'
                  broadcast_status:
                    type: string
                    description: >-
                      Current status of the broadcast (pending, in-progress,
                      completed, failed, etc.)
                    nullable: true
                  total_member_count:
                    type: integer
                    description: Total number of members eligible to receive this broadcast
                    example: 0
                  delivered_percentage:
                    type: number
                    format: float
                    description: >-
                      Percentage of messages successfully delivered to
                      recipients
                    example: 0
                  read_percentage:
                    type: number
                    format: float
                    description: >-
                      Percentage of delivered messages that have been read by
                      recipients
                    example: 0
                  logs:
                    type: array
                    description: List of log entries related to the broadcast's execution
                    items:
                      type: string
                    example: []
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function getBroadcastStatus() {
              const response = await client.queue.getBroadcastStatus({
                broadcast_id: '22b2a2a4-3c61-4b94-807c-fa431e71a8e5'
              });

              console.log(response);
            }

            getBroadcastStatus();
        - lang: cURL
          label: cURL
          source: |
            curl -X GET \
              https://api.periskope.app/v1/queue/broadcast?broadcast_id={id} \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````